<?php
	session_start();

	include "../../include/baza_danych.php";
	include "../../include/check_login.php";
	include "../../include/functions.php";

	if(!isset($go)){$go = 'lista';}

	// Sortuj
	if(isset($akcja) and $akcja=="sortuj" and isset($wg)){
		if($_COOKIE["kierunek_sortowania"]==NULL){
			setcookie("kierunek_sortowania", "DESC");
		}
		if($_COOKIE["kierunek_sortowania"]=="DESC"){
			setcookie("kierunek_sortowania", "ASC");
			$sortuj = " ORDER BY ".$wg." ".$_COOKIE["kierunek_sortowania"];
			$zaznaczenie_sortowania[$wg] = ' style="text-decoration: overline;"';
		}else{
			setcookie("kierunek_sortowania", "DESC");
			$sortuj = " ORDER BY ".$wg." ".$_COOKIE["kierunek_sortowania"];
			$zaznaczenie_sortowania[$wg] = ' style="text-decoration: underline;"';
		}
	}
	if($akcja!="sortuj"){
		$sortuj = " ORDER BY czas_dodania DESC";
		$zaznaczenie_sortowania['czas_dodania'] = ' style="text-decoration: overline;"';
	}

?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
	<link rel="stylesheet" type="text/css" href="../css/main.min.css" media="screen" />
</head>
<body id="type-a">
<div id="wrap">
	<div id="header">
		<? if($go=="lista"){ ?>
		<div id="search">
			<form action="?go=lista&akcja=szukaj" method="post">
				<label for="searchsite"></label>
				<input id="searchsite" name="szukana_fraza" type="text" value="<? echo$_POST['szukana_fraza']; ?>" />
				<input type="submit" value="Szukaj" class="f-submit" />
			</form>
		</div>

		<ul id="nav">

			<li><a href="#sort">Sortowanie</a>
				<ul>
					<li class="first"><a href="?go=lista&akcja=sortuj&wg=nazwa">po nazwie pokoju</a></li>
					<li><a href="?go=lista&akcja=sortuj&wg=liczba_graczy">po ilości graczy</a></li>
					<li><a href="?go=lista&akcja=sortuj&wg=czas_dodania">po czasie dodania</a></li>
					<li><a href="?go=lista&akcja=sortuj&wg=czas_aktualizacji">po czasie aktualizacji</a></li>
					<li><a href="?go=lista&akcja=sortuj&wg=stan">po stanie pokoju</a></li>
				</ul>
			</li>

		</ul>
		<? } ?>
	</div>

	<div id="content-wrap">
		<div id="content">
			<div id="breadcrumb">
<?
if($logged_in==1){

	// Pokoje gry
	if($go=="dodaj"){
		include"gra_pokoje_gry/dodaj.php";
	}

	if($go=="lista"){
		include"gra_pokoje_gry/lista.php";
	}

	if($go=="edytuj"){
		include"gra_pokoje_gry/edytuj.php";
	}

}if($logged_in==0){ echo'<center><h2>BRAK DOSTĘPU</h2></center>'; }
echo'</div></div></div></div></body></html>';
?>